import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTROccupancySensingClusterOccupancyChangedEvent extends _NSObject {
    static alloc(): _MTROccupancySensingClusterOccupancyChangedEvent;
    static new(): _MTROccupancySensingClusterOccupancyChangedEvent;
    init(): _MTROccupancySensingClusterOccupancyChangedEvent;
    occupancy(): _NSNumber;
    setOccupancy$(value: _NSNumber): void;
}
export interface _MTROccupancySensingClusterOccupancyChangedEvent extends _NSCopying {
}
